Debian Bug report logs - #707093
ITP: libhtmlcleaner-java -- Java HTML Parser library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Alexandre Rossi <alexandre.rossi@gmail.com>

Date: Tue, 7 May 2013 12:09:06 UTC

Owned by: Alexandre Rossi <alexandre.rossi@gmail.com>

Severity: wishlist

Fixed in version libhtmlcleaner-java/2.2-1

Done: Alexandre Rossi <alexandre.rossi@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Tue, 07 May 2013 12:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Alexandre Rossi" <niol@zincube.net>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Tue, 07 May 2013 12:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Alexandre Rossi" <niol@zincube.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libhtmlcleaner-java -- Java HTML Parser library
Date: Tue, 07 May 2013 14:05:52 +0200
Package: wnpp
Severity: wishlist
Owner: Alexandre Rossi <alexandre.rossi@gmail.com>

* Package name    : libhtmlcleaner-java
  Version         : 2.2
  Upstream Author : Vladimir Nikic <vnikic@users.sourceforge.net>
* URL             : http://htmlcleaner.sourceforge.net/
* License         : BSD
  Programming Lang: Java
  Description     : Java HTML Parser library

HtmlCleaner can be used in java code, as command line tool or as Ant task.
It is designed to be small, independent (no runtime dependencies except
JRE 1.5+), fast and flexible (its behavior is configurable through number of
parameters). Although the main motive was to prepare ordinary HTML for XML
processing with XPath, XQuery and XSLT, structured data produced by
HtmlCleaner may be consumed and handled in many other ways.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Tue, 07 May 2013 20:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Tue, 07 May 2013 20:33:08 GMT) Full text and rfc822 format available.

Message #10 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 707093@bugs.debian.org
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>
Subject: sponsoring libhtmlcleaner-java for davmail
Date: Tue, 7 May 2013 22:27:02 +0200
[Message part 1 (text/plain, inline)]
Hello Reader,


Here I volunteer to sponsor libhtmlcleaner-java


libhtmlcleaner-java is a dependency for davmail

Status of davmail is at http://bugs.debian.org/569668


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Tue, 07 May 2013 21:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Tue, 07 May 2013 21:15:09 GMT) Full text and rfc822 format available.

Message #15 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: 569668@bugs.debian.org, 707093@bugs.debian.org, debian-java@lists.debian.org
Subject: workflow for libhtmlcleaner-java and davmail
Date: Tue, 7 May 2013 23:11:11 +0200
[Message part 1 (text/plain, inline)]
Previous message was only in http://bugs.debian.org/569668

Op 2013-05-07 om 14:12 schreef Alexandre Rossi:
> Thanks.
> 
> Filled as #707093.

http://bugs.debian.org/707093


> I'm hoping to be able to prepare packages for sponsorship on Friday.
> 
> Alex

We need^W^WI feel the need to invest some time in workflow

I will be reading the java packaging workflow
and shall raise questions at the mailinglist debian-java@lists.debian.org


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707093; Package wnpp. (Fri, 10 May 2013 13:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 13:15:04 GMT) Full text and rfc822 format available.

Message #20 received at 707093@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: vnikic@users.sourceforge.net
Cc: 707093@bugs.debian.org
Subject: htmlcleaner : issues with new source packages
Date: Fri, 10 May 2013 15:11:23 +0200
Hi,

I'm trying to get htmlcleaner into the Debian Linux Distribution (as a
dependency to davmail) and I'm having the following issues with the
newly released source packages :
- they contain useless __MACOSX directories
- they contain useless .svn directories
- they are missing the root directory files (especially build.xml and
pom.xml for instance)

build.xml has a nice target wich produces good source packages. Is
there any reason for not using it anymore?

Thanks a lot for your input on this.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707093; Package wnpp. (Fri, 10 May 2013 13:51:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 10 May 2013 13:51:12 GMT) Full text and rfc822 format available.

Message #25 received at 707093@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 569668@bugs.debian.org, 707093@bugs.debian.org
Subject: Packages proposed
Date: Fri, 10 May 2013 15:49:02 +0200
Hi,

I've put the 2 packages on mentors.debian.org for review.

Alex



Changed Bug submitter to 'Alexandre Rossi <alexandre.rossi@gmail.com>' from '"Alexandre Rossi" <niol@zincube.net>' Request was from Alexandre Rossi <alexandre.rossi@gmail.com> to control@bugs.debian.org. (Fri, 10 May 2013 13:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Sun, 19 May 2013 08:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Sun, 19 May 2013 08:36:07 GMT) Full text and rfc822 format available.

Message #32 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, 707093@bugs.debian.org
Cc: Debian Java <debian-java@lists.debian.org>
Subject: reproducing the build and the upload process of libhtmlcleaner-java
Date: Sun, 19 May 2013 10:33:47 +0200
Hello Alexandre,
Hello People reading ITP libhtmlcleaner-java,
and hello Debian Java People,

Summary:
  Please document the maintainers workflow for libhtmlcleaner-java,
  have a debian/README.soure in the git repository.
       
This is an e-mail about wanting to help, but being helpless.
About wanting to go beyond helpless and being helpfull.

There is Debian Bug report #707093
 ITP: libhtmlcleaner-java -- Java HTML Parser library
( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=707093 )

Alexandre Rossi did the packing work, but has no upload privilege.
Geert Stappers has upload privilege, but can't review the work of Alexandre.

It is part my ignorance and part missing documentation.

To solve my ignorance am I, stappers, willing to learn. To solve missing documentation
is my proposal add a debian/README.source file. See http://wiki.debian.org/Java/JavaVcs
for minimal content.

In the README.source having documented how to "convert" the .zip from upstream
into the git repository would also be a good thing.


The command `dpkg-buildpackage -uc -us` gives this
<output>
 dpkg-source -b libhtmlcleaner-java
dpkg-source: error: can't build with source format '3.0 (quilt)': no upstream tarball found at ../libhtmlcleaner-java_2.2.orig.tar.{bz2,gz,lzma,xz}
dpkg-buildpackage: error: dpkg-source -b libhtmlcleaner-java gave error exit status 255
</output>

If something else as `dpkg-buildpackage` should be used, please document it.


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Mon, 20 May 2013 03:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to tony mancill <tmancill@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Mon, 20 May 2013 03:39:04 GMT) Full text and rfc822 format available.

Message #37 received at 707093@bugs.debian.org (full text, mbox):

From: tony mancill <tmancill@debian.org>
To: Geert Stappers <stappers@stappers.nl>
Cc: Alexandre Rossi <alexandre.rossi@gmail.com>, 707093@bugs.debian.org, Debian Java <debian-java@lists.debian.org>
Subject: Re: reproducing the build and the upload process of libhtmlcleaner-java
Date: Sun, 19 May 2013 20:34:11 -0700
[Message part 1 (text/plain, inline)]
On 05/19/2013 01:33 AM, Geert Stappers wrote:
> Hello Alexandre,
> Hello People reading ITP libhtmlcleaner-java,
> and hello Debian Java People,
> 
> Summary:
>   Please document the maintainers workflow for libhtmlcleaner-java,
>   have a debian/README.soure in the git repository.
>        
> This is an e-mail about wanting to help, but being helpless.
> About wanting to go beyond helpless and being helpfull.
> 
> There is Debian Bug report #707093
>  ITP: libhtmlcleaner-java -- Java HTML Parser library
> ( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=707093 )
> 
> Alexandre Rossi did the packing work, but has no upload privilege.
> Geert Stappers has upload privilege, but can't review the work of Alexandre.
> 
> It is part my ignorance and part missing documentation.
> 
> To solve my ignorance am I, stappers, willing to learn. To solve missing documentation
> is my proposal add a debian/README.source file. See http://wiki.debian.org/Java/JavaVcs
> for minimal content.
> 
> In the README.source having documented how to "convert" the .zip from upstream
> into the git repository would also be a good thing.
> 
> 
> The command `dpkg-buildpackage -uc -us` gives this
> <output>
>  dpkg-source -b libhtmlcleaner-java
> dpkg-source: error: can't build with source format '3.0 (quilt)': no upstream tarball found at ../libhtmlcleaner-java_2.2.orig.tar.{bz2,gz,lzma,xz}
> dpkg-buildpackage: error: dpkg-source -b libhtmlcleaner-java gave error exit status 255
> </output>
> 
> If something else as `dpkg-buildpackage` should be used, please document it.

Hi Geert, Alexandre:

In general the issue appears to be that there's no orig.tar.gz file and
not documentation about how to create one.  Alexandre, on May 10th you
posted to the bug report that you uploaded the packages (presumably one
of which was libhtmlcleaner-java) to mentors.debian.net, but I'm not
able to find them.  That source package would have included an
.orig.tar.gz file.

While it's possible to recreate the upstream orig.tar.gz from the
upstream branch in the git repository using git-archive, it would be
preferable going forward to use pristine-tar to create a pristine-tar
branch.  (Since you already have an upstream branch it won't take up
much extra space.)

And from that, was able to build a package using "debuild -us -uc".
However, the packaging repo in pkg-java/libhtmlcleaner-java.git is kind
of a mess.  Newer upstream versions 2.2.1 and 2.4 have already been
committed and merged, but the files in debian/ (changelog and patches)
are for the 2.2 version.  Thus, the package can't build when the master
branch of the git repository has been merged with upstream/2.4, but the
debian/changelog is expecting an orig.tar.gz version 2.2.

If you just want to see how it build, you can follow these steps:

# clone the pkg-java repo
git clone git+ssh://git.debian.org/git/pkg-java/libhtmlcleaner-java.git
cd libhtmlcleaner-java

# (re)create the upstream tarball for the 2.2 version
git archive upstream/2.2 --prefix=libhtmlcleaner-java-2.2/ -o
../libhtmlcleaner-java_2.2.orig.tar.gz

# clean up the 2.4 sources that are currently there
# (as an alternative, you could copy ./debian/ to a new folder)
rm -rf .git __MACOSX src

# restore the 2.2 sources
tar --strip-components=1 -xvf ../libhtmlcleaner-java_2.2.orig.tar.gz

# build!
debuild -us -uc


While this "works," it's completely and deeply flawed from a
git-buildpackage work-flow point of view.  Alexandre, what I recommend
doing is to:

1) Get a working source package for whatever version it is you want to
package and then make that package available on mentors.debian.net.
Iterate over that package until your sponsor feels it is ready for Debian.

2) Completely erase the existing pkg-java/libhtmlcleaner-java.git repo
so we can start over fresh.

3) Use git-import-dsc to create a local gbp repository for your package.

4) Verify that your package builds with git-buildpackage.

5) Push the newly created repository, including the upstream and
pristine-tar branches, to pkg-java/libhtmlcleaner-java.git.

Hope that helps,
tony



[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Tue, 21 May 2013 20:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Tue, 21 May 2013 20:09:12 GMT) Full text and rfc822 format available.

Message #42 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 707093@bugs.debian.org
Cc: Debian Java <debian-java@lists.debian.org>
Subject: Re: reproducing the build and the upload process of libhtmlcleaner-java
Date: Tue, 21 May 2013 22:05:12 +0200
Op 2013-05-19 om 20:34 schreef tony mancill:
> 
> If you just want to see how it build, you can follow these steps:
> 
> # clone the pkg-java repo
> git clone git+ssh://git.debian.org/git/pkg-java/libhtmlcleaner-java.git
> cd libhtmlcleaner-java
> 
> # (re)create the upstream tarball for the 2.2 version
> git archive upstream/2.2 --prefix=libhtmlcleaner-java-2.2/ -o
> ../libhtmlcleaner-java_2.2.orig.tar.gz
> 
> # clean up the 2.4 sources that are currently there
> # (as an alternative, you could copy ./debian/ to a new folder)
> rm -rf .git __MACOSX src
> 
> # restore the 2.2 sources
> tar --strip-components=1 -xvf ../libhtmlcleaner-java_2.2.orig.tar.gz
> 
> # build!
> debuild -us -uc
> 

That information got me back on track.

I'm now making "white space changes" to fix warnings as
| dpkg-source: warning: file libhtmlcleaner-java/src/test/resources/Expected_1.html has no final newline (either original or modified version)
to see what is causing
| dpkg-source: error: unrepresentable changes to source
| dpkg-buildpackage: error: dpkg-source -b libhtmlcleaner-java gave error exit status 2

Tony: Thank you!


Groeten
Geert Stappers
-- 
> And is there a policy on top-posting vs. bottom-posting?
Yes.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Fri, 24 May 2013 13:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Fri, 24 May 2013 13:21:09 GMT) Full text and rfc822 format available.

Message #47 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 707093@bugs.debian.org
Subject: progress
Date: Fri, 24 May 2013 15:18:21 +0200
Op 2013-05-21 om 22:05 schreef Geert Stappers:
> Op 2013-05-19 om 20:34 schreef tony mancill:
> > 
> > If you just want to see how it build, you can follow these steps:
> > 
 [ good instructions ]
> > 
> 
> That information got me back on track.
> 
> I'm now making "white space changes" to fix warnings as
> | dpkg-source: warning: file libhtmlcleaner-java/src/test/resources/Expected_1.html has no final newline (either original or modified version)
> to see what is causing
> | dpkg-source: error: unrepresentable changes to source
> | dpkg-buildpackage: error: dpkg-source -b libhtmlcleaner-java gave error exit status 2

That seems to be gone due to white space changes.

My next action will this Lintian message:

E: libhtmlcleaner-java: helper-templates-in-copyright


Groeten
Geert Stappers
-- 
Leven en laten leven



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707093; Package wnpp. (Fri, 24 May 2013 13:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 May 2013 13:39:05 GMT) Full text and rfc822 format available.

Message #52 received at 707093@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: debian-java@lists.debian.org
Cc: 707093@bugs.debian.org
Subject: Re: reproducing the build and the upload process of libhtmlcleaner-java
Date: Fri, 24 May 2013 15:37:56 +0200
Hi,

> In general the issue appears to be that there's no orig.tar.gz file and
> not documentation about how to create one.  Alexandre, on May 10th you
> posted to the bug report that you uploaded the packages (presumably one
> of which was libhtmlcleaner-java) to mentors.debian.net, but I'm not
> able to find them.  That source package would have included an
> .orig.tar.gz file.

http://mentors.debian.net/package/libhtmlcleaner-java
http://mentors.debian.net/package/davmail

> 2) Completely erase the existing pkg-java/libhtmlcleaner-java.git repo
> so we can start over fresh.

I had begun work on packaging the latest upstream version, but got
stuck because of :
- messy source tarball which is now fixed thanks to collaboration with upstream
- switch to maven as build system, which needs a bit of learning on my side.

I'll be working on this, but the version on mentors.debian.org seems
pretty acceptable to me for review.

Regarding the git repo issue, I can branch of the debian/2.2-1_pre+1
tag in order to take into account packaging review comments, while
working on getting 2.5 in shape. Or I can start over for master to be
exactly what has been uploaded at mentors.d.n and keep my work on 2.5
private. Please advice.

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707093; Package wnpp. (Fri, 24 May 2013 13:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 24 May 2013 13:45:07 GMT) Full text and rfc822 format available.

Message #57 received at 707093@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>, 707093@bugs.debian.org
Subject: Re: Bug#707093: progress
Date: Fri, 24 May 2013 15:43:10 +0200
> My next action will this Lintian message:
>
> E: libhtmlcleaner-java: helper-templates-in-copyright

False positive. But anyway I switched the package to DEP-5 yesterday
which should fix the issue.

See http://anonscm.debian.org/gitweb/?p=pkg-java/libhtmlcleaner-java.git;a=commitdiff;h=63976bf5f660eef5371d63b117b2396e70e9e76d

Alex



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Fri, 24 May 2013 21:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Fri, 24 May 2013 21:27:08 GMT) Full text and rfc822 format available.

Message #62 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: debian-java@lists.debian.org, 707093@bugs.debian.org
Subject: Re: reproducing the build and the upload process of libhtmlcleaner-java
Date: Fri, 24 May 2013 23:24:09 +0200
[Message part 1 (text/plain, inline)]
Op 2013-05-24 om 15:37 schreef Alexandre Rossi:
> 
> I'll be working on this, but the version on mentors.debian.org seems
> pretty acceptable to me for review.
> 
> Regarding the git repo issue, I can branch of the debian/2.2-1_pre+1
> tag in order to take into account packaging review comments, while
> working on getting 2.5 in shape. Or I can start over for master to be
> exactly what has been uploaded at mentors.d.n and keep my work on 2.5
> private. Please advice.

My advice:  Work on 2.5, push the commit to the Alioth repository.


My plan: Reviewing 2.2
         and uploading it with the warm feeling that 2.5 is waiting.

> 
> Alex


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Sat, 25 May 2013 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Sat, 25 May 2013 21:39:04 GMT) Full text and rfc822 format available.

Message #67 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>, 707093@bugs.debian.org
Subject: Re: Bug#707093: progress
Date: Sat, 25 May 2013 23:34:56 +0200
[Message part 1 (text/plain, inline)]
Op 2013-05-24 om 15:43 schreef Alexandre Rossi:
> > My next action will this Lintian message:
> >
> > E: libhtmlcleaner-java: helper-templates-in-copyright
> 
> False positive. But anyway I switched the package to DEP-5 yesterday
> which should fix the issue.

Yes, it should ...

> See http://anonscm.debian.org/gitweb/?p=pkg-java/libhtmlcleaner-java.git;a=commitdiff;h=63976bf5f660eef5371d63b117b2396e70e9e76d
> 

Then there is/was:

$ lintian -I
W: libhtmlcleaner-java source: missing-field-in-dep5-copyright license (paragraph at line 6)
W: libhtmlcleaner-java source: missing-field-in-dep5-copyright license (paragraph at line 38)
E: libhtmlcleaner-java: copyright-should-refer-to-common-license-file-for-gpl

This patch does fix it:
--- a/debian/copyright
+++ b/debian/copyright
@@ -5,7 +5,7 @@ Source: http://htmlcleaner.sourceforge.net
 
 Files: *
 Copyright: 2006-2010 Vladimir Nikic
-Licence: BSD htmlcleaner
+License: BSD-3-clause
     Redistribution and use of this software in source and binary forms,
     with or without modification, are permitted provided that the following
     conditions are met:
@@ -37,4 +37,7 @@ Licence: BSD htmlcleaner
 
 Files: debian/*
 Copyright: 2011 Alexandre Rossi
-Licence: GPL-2
+License: GPL-2
+ On Debian systems, the full text of the GNU General Public
+ License version 2 can be found in the file
+ `/usr/share/common-licenses/GPL-2'.


Please allow me to commit it to the Alioth git repository.


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#707093; Package wnpp. (Sun, 26 May 2013 07:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 May 2013 07:21:04 GMT) Full text and rfc822 format available.

Message #72 received at 707093@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: Geert Stappers <stappers@stappers.nl>
Cc: 707093@bugs.debian.org
Subject: Re: Bug#707093: progress
Date: Sun, 26 May 2013 09:19:05 +0200
> Please allow me to commit it to the Alioth git repository.

Go on, thanks!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Sun, 26 May 2013 18:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Sun, 26 May 2013 18:39:04 GMT) Full text and rfc822 format available.

Message #77 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Debian Java <debian-java@lists.debian.org>, 707093@bugs.debian.org
Subject: about to upload libhtmlcleaner-java, closing ITP 707093
Date: Sun, 26 May 2013 20:34:40 +0200
[Message part 1 (text/plain, inline)]
Hello,

After making white space changes in the upstream source,
such as adding a terminating end-of-line, got I clean build.

Another change of me is the version number:
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,4 +1,4 @@
-libhtmlcleaner-java (2.2-1~pre+1) unstable; urgency=low
+libhtmlcleaner-java (2.2-1) unstable; urgency=low
 
   * Initial release (Closes: #707093).
 


A manual unpack of the generated .deb reveals that is has twice the jar.
<screenshot>
stappers@nero:~/src/unpack
$ cat md5sums 
6a7f04dce317e6b10c0a69c732b4fd8c  usr/share/doc/libhtmlcleaner-java/changelog.Debian.gz
cd2a52a615d8a9ae6b9667d1c506069f  usr/share/doc/libhtmlcleaner-java/copyright
6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner-2.2.jar
stappers@nero:~/src/unpack
$ md5sum usr/share/java/*
6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner-2.2.jar
6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner.jar
stappers@nero:~/src/unpack
$ 
</screenshot>

Despite the dual jars, I will be uploading libhtlmcleaner-java_2.2-1.

My reason for doing so, is that
in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=707093#52 is stated
the build system will be changed. ( switching to maven )


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 26 May 2013 20:06:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Mon, 27 May 2013 04:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Mon, 27 May 2013 04:21:03 GMT) Full text and rfc822 format available.

Message #84 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Debian Java <debian-java@lists.debian.org>, 707093@bugs.debian.org
Subject: Re: about to upload libhtmlcleaner-java, closing ITP 707093
Date: Mon, 27 May 2013 06:18:56 +0200
[Message part 1 (text/plain, inline)]
Op 2013-05-26 om 20:34 schreef Geert Stappers:
> 
> A manual unpack of the generated .deb reveals that is has twice the jar.
> <screenshot>
> stappers@nero:~/src/unpack
> $ cat md5sums 
> 6a7f04dce317e6b10c0a69c732b4fd8c  usr/share/doc/libhtmlcleaner-java/changelog.Debian.gz
> cd2a52a615d8a9ae6b9667d1c506069f  usr/share/doc/libhtmlcleaner-java/copyright
> 6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner-2.2.jar
> stappers@nero:~/src/unpack
> $ md5sum usr/share/java/*
> 6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner-2.2.jar
> 6d920a8d671a7617c0a68bc197a5d281  usr/share/java/htmlcleaner.jar
> stappers@nero:~/src/unpack
> $ 
> </screenshot>
> 
> Despite the dual jars, I will be uploading libhtlmcleaner-java_2.2-1.
 Despite the duplicate jars, I will be uploading libhtlmcleaner-java_2.2-1.
> 

And at 
http://ftp-master.debian.org/new/libhtmlcleaner-java_2.2-1.html#binary-libhtmlcleaner-java-contents
it is cleanerly visible that is a symbolic link.

<screenshot>
contents of libhtmlcleaner-java_2.2-1_all.deb (click to toggle)

drwxr-xr-x root/root         0 2013-05-25 21:16 ./
drwxr-xr-x root/root         0 2013-05-25 21:16 ./usr/
drwxr-xr-x root/root         0 2013-05-25 21:16 ./usr/share/
drwxr-xr-x root/root         0 2013-05-25 21:16 ./usr/share/java/
-rw-r--r-- root/root     76328 2013-05-25 21:16 ./usr/share/java/htmlcleaner-2.2.jar
drwxr-xr-x root/root         0 2013-05-25 21:16 ./usr/share/doc/
drwxr-xr-x root/root         0 2013-05-25 21:16 ./usr/share/doc/libhtmlcleaner-java/
-rw-r--r-- root/root      2001 2013-05-25 21:14 ./usr/share/doc/libhtmlcleaner-java/copyright
-rw-r--r-- root/root       168 2013-05-20 14:59 ./usr/share/doc/libhtmlcleaner-java/changelog.Debian.gz
lrwxrwxrwx root/root         0 2013-05-25 21:16 ./usr/share/java/htmlcleaner.jar -> htmlcleaner-2.2.jar
</screenshot>

So the "duplicate" is fine.  :-/


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug#707093; Package wnpp. (Fri, 31 May 2013 21:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexandre Rossi <alexandre.rossi@gmail.com>. (Fri, 31 May 2013 21:24:04 GMT) Full text and rfc822 format available.

Message #89 received at 707093@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: Alexandre Rossi <alexandre.rossi@gmail.com>
Cc: Geert Stappers <stappers@stappers.nl>, 707093@bugs.debian.org
Subject: Re: Bug#707093: progress: git commits pushed
Date: Fri, 31 May 2013 23:21:30 +0200
[Message part 1 (text/plain, inline)]
Op 2013-05-26 om 09:19 schreef Alexandre Rossi:
> > Please allow me to commit it to the Alioth git repository.
> 
> Go on, thanks!

Done


Groeten
Geert Stappers
-- 
Leven en laten leven
[signature.asc (application/pgp-signature, inline)]

Reply sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
You have taken responsibility. (Tue, 16 Jul 2013 04:06:13 GMT) Full text and rfc822 format available.

Notification sent to Alexandre Rossi <alexandre.rossi@gmail.com>:
Bug acknowledged by developer. (Tue, 16 Jul 2013 04:06:13 GMT) Full text and rfc822 format available.

Message #94 received at 707093-close@bugs.debian.org (full text, mbox):

From: Alexandre Rossi <alexandre.rossi@gmail.com>
To: 707093-close@bugs.debian.org
Subject: Bug#707093: fixed in libhtmlcleaner-java 2.2-1
Date: Tue, 16 Jul 2013 04:02:17 +0000
Source: libhtmlcleaner-java
Source-Version: 2.2-1

We believe that the bug you reported is fixed in the latest version of
libhtmlcleaner-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 707093@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexandre Rossi <alexandre.rossi@gmail.com> (supplier of updated libhtmlcleaner-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 May 2011 15:05:58 +0200
Source: libhtmlcleaner-java
Binary: libhtmlcleaner-java
Architecture: source all
Version: 2.2-1
Distribution: unstable
Urgency: low
Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
Changed-By: Alexandre Rossi <alexandre.rossi@gmail.com>
Description: 
 libhtmlcleaner-java - Java HTML Parser library
Closes: 707093
Changes: 
 libhtmlcleaner-java (2.2-1) unstable; urgency=low
 .
   * Initial release (Closes: #707093).
Checksums-Sha1: 
 4ffd9f201cd26f458b30e91a6be19958378534e8 1410 libhtmlcleaner-java_2.2-1.dsc
 6a53f0a5325d0235e66050c31a341a5e835eba93 213683 libhtmlcleaner-java_2.2.orig.tar.gz
 1b88261589a3748bc1078978ee0b979ba47c86c7 2612 libhtmlcleaner-java_2.2-1.debian.tar.gz
 92538ed8bb1de7f1a834504554d478eddad1db1f 73882 libhtmlcleaner-java_2.2-1_all.deb
Checksums-Sha256: 
 8c63e0e8c7177fee0a0c202641d49ae6d15a16e3ee0ed5981a3c0177175dc321 1410 libhtmlcleaner-java_2.2-1.dsc
 e7935c3b1763adedaaa5c73498f5a7f35633aa33d494be23ea50454ada49f22e 213683 libhtmlcleaner-java_2.2.orig.tar.gz
 dad3b67283434e17c51f5ed759337b31d00b3de5c94cca53a0c3ee539d213837 2612 libhtmlcleaner-java_2.2-1.debian.tar.gz
 2bebd1c4ad823710bf995d1d663292acac3abb0b63b4301706e2846a354e0add 73882 libhtmlcleaner-java_2.2-1_all.deb
Files: 
 5cd08fddd0bea2650978baa8ce166d75 1410 java extra libhtmlcleaner-java_2.2-1.dsc
 19d1bc86e36a6c4f9e9a3da7ac2b9281 213683 java extra libhtmlcleaner-java_2.2.orig.tar.gz
 a0d8dd95925021b15f6ca2c7a3923d54 2612 java extra libhtmlcleaner-java_2.2-1.debian.tar.gz
 76a84714a19e4afbc7bcfb3d2a343940 73882 java extra libhtmlcleaner-java_2.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlGiXTQACgkQOSINbgwa/7sFggCeKyxwNf67gLr7liE3Y/j7Za06
HywAn01wNo1n62lT/K99TaB7Y+x3Tvvh
=bPF8
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Aug 2013 07:40:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 02:53:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.